complexType "CoalPhysicalLeg"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | coal, deliveryConditions, deliveryQuantity
</...>

Content Model Elements (3):

  coal, deliveryConditions (in coalPhysicalLeg), | deliveryQuantity (in coalPhysicalLeg)

All Direct / Indirect Based Elements (1):

  coalPhysicalLeg

Known Usage Locations

- As direct type of elements (1):
  coalPhysicalLeg

Annotation
Physically settled leg of a physically settled coal transaction.
Type Definition Detail

Type Derivation Tree Leg (extension) PhysicalLeg (extension) CoalPhysicalLeg

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CoalPhysicalLeg"> <xsd:complexContent> <xsd:extension base="PhysicalLeg"> <xsd:sequence> <xsd:element name="coal" type="CoalProduct"/> <xsd:element name="deliveryConditions" type="CoalDelivery"/> <xsd:element name="deliveryQuantity" type="CommodityPhysicalQuantity"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
coal

  Type: | CoalProduct, complex content

  The specification of the Coal Product to be delivered.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="coal" type="CoalProduct"/>

deliveryConditions

  Type: | CoalDelivery, complex content

  The physical delivery conditions for the transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryConditions" type="CoalDelivery"/>

deliveryQuantity

  Type: | CommodityPhysicalQuantity, complex content

  The different options for specifying the quantity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryQuantity" type="CommodityPhysicalQuantity"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.